package com.example.despelc;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class Borrar extends Activity {
	private TextView nombre;
	private TextView numero;
	private TextView fecha;
	private Button submit;
	private String [] aux;
	private String identificador;
	private EditText nuevoNum;
	
	  @Override public void onCreate(Bundle savedInstanceState) {
	    	super.onCreate(savedInstanceState);
	        setContentView(R.layout.borrar_biberes);
	        Button botonBorrar = (Button) findViewById(R.id.button1);
	        submit = (Button) findViewById(R.id.borrarBibere);
	        nombre =(TextView)findViewById(R.id.nombreBibere);
	        numero =(TextView)findViewById(R.id.numeroBibere);
	        fecha =(TextView)findViewById(R.id.fechaBibere);
	        nuevoNum = (EditText) findViewById(R.id.nuevoNumero);
	        botonBorrar.setOnClickListener(new OnClickListener() {
	            public void onClick(View view) {
	                  lanzarDespensa(null);
	           }

	 });	       
	        submit.setOnClickListener(new OnClickListener() {
         public void onClick(View view) {
             lanzarBorrado(null);
      }

});
	        
	  }
	    public void lanzarDespensa(View view) {
	        Intent i = new Intent(this, ReservasParaBorrar.class);
	        startActivityForResult(i, 25);
	 }
	    public void lanzarBorrado(View view) {
	        Intent intent = new Intent();
	      Log.i("NUmero de las narices",nuevoNum.getText().toString());
	        if(nuevoNum.getText().toString().equals("") || nuevoNum.getText().toString().equals("0")){
	        	intent.putExtra("tipo","borrado");
	        	intent.putExtra("id",identificador);
	        }
	        else{
	        	intent.putExtra("tipo","modificar");
	        	intent.putExtra("id",identificador);
	        	intent.putExtra("cant",nuevoNum.getText().toString());
	        }
	        
	    	setResult(RESULT_OK, intent);
	    	finish();
	 }
	    @Override protected void onActivityResult(int requestCode, int resultCode,Intent data){
	    	if(requestCode==25 && resultCode==RESULT_OK){
	    		Log.i("nombre","Funciona");
	    		aux = data.getExtras().getString("resultado").split(" ");
	    		nombre.setText(aux[0]);
	    		numero.setText(aux[1]);
	    		fecha.setText(aux[4]);
	    		identificador = aux[4];
	    		submit.setEnabled(true);
	    		}
	    }
}
