package com.example.despelc;




import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;

public class Posibilidades extends Activity {
	private Activity actividad;
	private ImageView imageView;
	private Button submit;
	private EditText nom;
	private EditText cant;
	private EditText fec;
	private String icon ="comidas";
	
    @Override public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
        setContentView(R.layout.menu_creacion);
        submit=(Button) findViewById(R.id.borrar);
        nom =(EditText) findViewById(R.id.nuevoNumero);
        cant=(EditText) findViewById(R.id.editText2);
        fec=(EditText)findViewById(R.id.editText3);
        imageView=(ImageView) findViewById(R.id.imageView1);
        imageView.setOnClickListener(new OnClickListener() {
        	
            public void onClick(View view) {
                  lanzarPosibilidades(null);
                  }
            });
        submit.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                  submit(null);
                  }
            });
     }

	private void lanzarPosibilidades(View view) {
		Intent i = new Intent(this, Contenedor.class);
		startActivityForResult(i, 23);
	}
	private void submit(View view) {
		Intent i = new Intent();
		i.putExtra("nombre", nom.getText().toString());
		Log.i("nombre", nom.getText().toString());
		i.putExtra("fecha", fec.getText().toString());
		Log.i("fecha", fec.getText().toString());
		i.putExtra("cantidad", cant.getText().toString());
		Log.i("cantidad", cant.getText().toString());
		i.putExtra("icono", icon);
		Log.i("icono",icon);
		setResult(RESULT_OK, i);
		finish();
	}
	
	   @Override protected void onActivityResult(int requestCode, int resultCode,Intent data){
	    	if(requestCode==23 && resultCode==RESULT_OK){
	    		
	    		String aux = data.getExtras().getString("resultado"); 
	    		icon = data.getExtras().getString("resultado"); 
	    		
	    		if(aux.equals("berengena")){
	          	  imageView.setImageResource(R.drawable.berengena);
	            }
	            else if(aux.equals("cafe")){
	          	  imageView.setImageResource(R.drawable.cafe);
	            }
	            else if(aux.equals("cebolla")){
	          	  imageView.setImageResource(R.drawable.cebolla);
	            }
	            else if(aux.equals("cerbeza")){
	          	  imageView.setImageResource(R.drawable.cerbeza);
	            }
	            else if(aux.equals("comidas")){
	          	  imageView.setImageResource(R.drawable.comidas);
	            }
	            else if(aux.equals("especia")){
	          	  imageView.setImageResource(R.drawable.especia);
	            }
	            else if(aux.equals("filites")){
	          	  imageView.setImageResource(R.drawable.filetes);
	            }
	            else if(aux.equals("fruta")){
	          	  imageView.setImageResource(R.drawable.fruta);
	            }
	            else if(aux.equals("guisantes")){
	          	  imageView.setImageResource(R.drawable.guisantes);
	            }
	            else if(aux.equals("huevos")){
	          	  imageView.setImageResource(R.drawable.huevos);
	            }
	            else if(aux.equals("latilla")){
	          	  imageView.setImageResource(R.drawable.latilla);
	            }
	            else if(aux.equals("leche")){
	          	  imageView.setImageResource(R.drawable.leche);
	            }
	            else if(aux.equals("limones")){
	          	  imageView.setImageResource(R.drawable.limones);
	            }
	            else if(aux.equals("maiz")){
	          	  imageView.setImageResource(R.drawable.maiz);
	            }
	            else if(aux.equals("manzana")){
	          	  imageView.setImageResource(R.drawable.manzana);
	            }
	            else if(aux.equals("panaderia")){
	          	  imageView.setImageResource(R.drawable.panaderia);
	            }
	            else if(aux.equals("pera")){
	          	  imageView.setImageResource(R.drawable.pera);
	            }
	            else if(aux.equals("pescado")){
	          	  imageView.setImageResource(R.drawable.pescado);
	            }
	            else if(aux.equals("pizza")){
	          	  imageView.setImageResource(R.drawable.pizza);
	            }
	            else if(aux.equals("pollo")){
	          	  imageView.setImageResource(R.drawable.pollo);
	            }
	            else if(aux.equals("preparados")){
	          	  imageView.setImageResource(R.drawable.preparados);
	            }
	            else if(aux.equals("queso")){
	          	  imageView.setImageResource(R.drawable.queso);
	            }
	            else if(aux.equals("refrescos")){
	          	  imageView.setImageResource(R.drawable.refrescos);
	            }
	            else if(aux.equals("salchichas")){
	          	  imageView.setImageResource(R.drawable.salchichas);
	            }
	            else if(aux.equals("sopa")){
	          	  imageView.setImageResource(R.drawable.sopa);
	            }
	            else if(aux.equals("sopas")){
	          	  imageView.setImageResource(R.drawable.sopas);
	            }
	            else if(aux.equals("tomate")){
	          	  imageView.setImageResource(R.drawable.tomate);
	            }
	            else if(aux.equals("tuppers")){
	          	  imageView.setImageResource(R.drawable.tuppers);
	            }
	            else {
	          	  imageView.setImageResource(R.drawable.uva);
	            }
	    	}
	    }

	    

}
