package com.example.despelc;


import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;


public class MainActivity extends ActionBarActivity {
	public static Almacen almacen;
	
	
    
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
    	Button botonActualizar = (Button) findViewById(R.id.actualizar);
        Button botonAgregar = (Button) findViewById(R.id.agregar);
        Button botonConsultar = (Button) findViewById(R.id.consultar);
        Button botonBorrar = (Button) findViewById(R.id.borrar);
        
        Log.i("declaramos los botones","declarados");
        botonActualizar.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                  lanzarRecetario(null);
           }

 });
        botonBorrar.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                  lanzarBorrado(null);
           }

 });
        botonAgregar.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                  lanzarAgregar(null);
           }

 });
        botonConsultar.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                  lanzarActualizacion(null);
           }

 });
        almacen = new AlmacenSW_PHP_AsyncTask(this);  
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
    public void lanzarActualizacion(View view) {

        Intent i = new Intent(this, Reservas.class);
        startActivity(i);

 }
    public void lanzarAgregar(View view) {

        Intent i = new Intent(this, Posibilidades.class);
        startActivityForResult(i, 24);
 }
    public void lanzarBorrado(View view) {

        Intent i = new Intent(this, Borrar.class);
        startActivityForResult(i,26);
 }
    @Override protected void onActivityResult(int requestCode, int resultCode,Intent data){
    	if(requestCode==24 && resultCode==RESULT_OK){
    		String nombre = data.getExtras().getString("nombre");
    		int cantidad = Integer.parseInt(data.getExtras().getString("cantidad"));
    		String icono = data.getExtras().getString("icono");
    		String fecha = data.getExtras().getString("fecha");
    		almacen.guardarPuntuacion(nombre, cantidad, icono, fecha);
    		}
    	if(requestCode==26 && resultCode==RESULT_OK){
    		String aux = data.getExtras().getString("tipo");
    		if(aux.equals("borrado")){
    			almacen.borrarBibere(data.getExtras().getString("id"));
     		   Toast.makeText(this,"Alimento eliminado" ,Toast.LENGTH_LONG).show();
    		}
    		else if(aux.equals("modificar")){
    			almacen.modificarBibere(data.getExtras().getString("id"), data.getExtras().getString("cant"));
      		   Toast.makeText(this,"Alimento eliminado" ,Toast.LENGTH_LONG).show();
    		}
    		
    		   
    		
    	}
    }
    public void lanzarRecetario(View view){
    	Intent i = new Intent(this, Receta.class);
        startActivity(i);
    }
}
