package com.example.despelc;

import java.util.Vector;

import android.app.Activity;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class MiAdaptador extends BaseAdapter {

    private final Activity actividad;

    private final Vector<String> lista;



    public MiAdaptador(Activity actividad, Vector<String> lista) {

          super();

          this.actividad = actividad;

          this.lista = lista;

    }

    public View getView(int position, View convertView,ViewGroup parent) {

          LayoutInflater inflater = actividad.getLayoutInflater();

          View view = inflater.inflate(R.layout.elemento_lista, null, true);

          TextView alimento =(TextView)view.findViewById(R.id.tituloReceta);
          TextView numero =(TextView)view.findViewById(R.id.numeroBibere);
          TextView fecha =(TextView)view.findViewById(R.id.fecha);
          ImageView imageView=(ImageView)view.findViewById(R.id.iconoReceta);
          alimento.setText(lista.elementAt(position));
          String [] datos=lista.elementAt(position).split(" ");
          alimento.setText(datos[0]);
          numero.setText(datos[1]);
          fecha.setText(datos[3]);
          Log.i("Identificador del producto",datos[4].toString());
          alimento.setTag(datos[4].toString());
          if(datos[2].equals("berengena")){
        	  imageView.setImageResource(R.drawable.berengena);
          }
          else if(datos[2].equals("cafe")){
        	  imageView.setImageResource(R.drawable.cafe);
          }
          else if(datos[2].equals("cebolla")){
        	  imageView.setImageResource(R.drawable.cebolla);
          }
          else if(datos[2].equals("cerbeza")){
        	  imageView.setImageResource(R.drawable.cerbeza);
          }
          else if(datos[2].equals("comidas")){
        	  imageView.setImageResource(R.drawable.comidas);
          }
          else if(datos[2].equals("especia")){
        	  imageView.setImageResource(R.drawable.especia);
          }
          else if(datos[2].equals("filites")){
        	  imageView.setImageResource(R.drawable.filetes);
          }
          else if(datos[2].equals("fruta")){
        	  imageView.setImageResource(R.drawable.fruta);
          }
          else if(datos[2].equals("guisantes")){
        	  imageView.setImageResource(R.drawable.guisantes);
          }
          else if(datos[2].equals("huevos")){
        	  imageView.setImageResource(R.drawable.huevos);
          }
          else if(datos[2].equals("latilla")){
        	  imageView.setImageResource(R.drawable.latilla);
          }
          else if(datos[2].equals("leche")){
        	  imageView.setImageResource(R.drawable.leche);
          }
          else if(datos[2].equals("limones")){
        	  imageView.setImageResource(R.drawable.limones);
          }
          else if(datos[2].equals("maiz")){
        	  imageView.setImageResource(R.drawable.maiz);
          }
          else if(datos[2].equals("manzana")){
        	  imageView.setImageResource(R.drawable.manzana);
          }
          else if(datos[2].equals("panaderia")){
        	  imageView.setImageResource(R.drawable.panaderia);
          }
          else if(datos[2].equals("pera")){
        	  imageView.setImageResource(R.drawable.pera);
          }
          else if(datos[2].equals("pescado")){
        	  imageView.setImageResource(R.drawable.pescado);
          }
          else if(datos[2].equals("pizza")){
        	  imageView.setImageResource(R.drawable.pizza);
          }
          else if(datos[2].equals("pollo")){
        	  imageView.setImageResource(R.drawable.pollo);
          }
          else if(datos[2].equals("preparados")){
        	  imageView.setImageResource(R.drawable.preparados);
          }
          else if(datos[2].equals("queso")){
        	  imageView.setImageResource(R.drawable.queso);
          }
          else if(datos[2].equals("refrescos")){
        	  imageView.setImageResource(R.drawable.refrescos);
          }
          else if(datos[2].equals("salchichas")){
        	  imageView.setImageResource(R.drawable.salchichas);
          }
          else if(datos[2].equals("sopa")){
        	  imageView.setImageResource(R.drawable.sopa);
          }
          else if(datos[2].equals("sopas")){
        	  imageView.setImageResource(R.drawable.sopas);
          }
          else if(datos[2].equals("tomate")){
        	  imageView.setImageResource(R.drawable.tomate);
          }
          else if(datos[2].equals("tuppers")){
        	  imageView.setImageResource(R.drawable.tuppers);
          }
          else {
        	  imageView.setImageResource(R.drawable.uva);
          }





          return view;

    }

    public int getCount() {

          return lista.size();

    }

    public Object getItem(int arg0) {

          return lista.elementAt(arg0);

    }


    public long getItemId(int position) {

          return position;

    }
    

}
