package com.example.despelc;

import java.util.Vector;

import android.app.Activity;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class MiAdaptador2 extends BaseAdapter {

	    private final Activity actividad;

	    private final Vector<String> lista;
	    
	    private final Vector<String> listaIngredientes;
	    
	    private boolean res;
	    private int acumulador;
	    private int contadorSec;



	    public MiAdaptador2(Activity actividad, Vector<String> lista,Vector<String> listaIngredientes) {

	          super();

	          this.actividad = actividad;

	          this.lista = lista;
	          
	          this.listaIngredientes = listaIngredientes;

	    }

	    public View getView(int position, View convertView,ViewGroup parent) {
	    	acumulador=0;
	    	contadorSec=0;
	          LayoutInflater inflater = actividad.getLayoutInflater();

	          View view = inflater.inflate(R.layout.elemento_receta, null, true);
	         ImageView icono = (ImageView) view.findViewById(R.id.iconoReceta);
	          String [] datos=lista.elementAt(position).split("/t");
	          int cont=listaIngredientes.size();
	          String [] comparar= datos[1].split(" ");
	          for(int i=0;i<comparar.length;i++){
	        	  if(!comparar[i].equals("")){contadorSec++;}
	          }
	          Log.i("ingredientesContador",String.valueOf(contadorSec));
	         for(int i= 0; i<comparar.length; i++){
	        	 for(int j=0;j<cont;j++){
	        		 if(comparar[i].equals(listaIngredientes.elementAt(j))){
	        			acumulador+=1;
	        		 }
	        	 }
	        	
	         }
	 
        	 Log.i("acumulador",String.valueOf(acumulador));
        	 Log.i("Length",String.valueOf(comparar.length));
	         if(acumulador == contadorSec){
        		 icono.setImageResource(R.drawable.ok);
        	 }else{icono.setImageResource(R.drawable.cancelar);}
	          TextView nombre = (TextView) view.findViewById(R.id.tituloReceta);
	          if(datos.length != 0){
	          nombre.setText(datos[0]);
	          }
	          
	       
	          return view;

	    }

	    public int getCount() {

	          return lista.size();

	    }

	    public Object getItem(int arg0) {

	          return lista.elementAt(arg0);

	    }


	    public long getItemId(int position) {

	          return position;

	    }
	    

	}

